local _, Ns = ...

function Ns.talentScan()
	local classFilename = select(2, UnitClass("player"))

	if (classFilename == "MAGE") then

		local points = select(5, GetTalentInfo(1, 7))
		Ns.PrismaticCloak = points * 2

		local points = select(5, GetTalentInfo(1, 19))
		Ns.invoCount = (points * 5) / 100

		local points = select(5, GetTalentInfo(2, 13))
		Ns.MoltenFury = ((points * 4) / 100)

		local points = select(5, GetTalentInfo(2, 20))
		Ns.firePower = points / 100


	elseif (classFilename == "PRIEST") then

		local points = select(5, GetTalentInfo(1, 12))
		Ns.FocusWillTalent = points * 5

		local points = select(5, GetTalentInfo(3, 20))
		Ns.TwistedFaith = points/100


	elseif (classFilename == "ROGUE") then

		local points = select(5, GetTalentInfo(1, 19))
			if points == 1 then
				Ns.DeadNerves = 3
			elseif points == 2 then
				Ns.DeadNerves = 7
			elseif points == 3 then
				Ns.DeadNerves = 10
			end


	elseif (classFilename == "WARRIOR") then
		local points = 0

		Ns.MaceSpec = points * 3

	elseif (classFilename == "PALADIN") then
		local points = 0

		Ns.divinity = points / 100


		Ns.riFuryTalent = points * 2

	-- local points = select(5, GetTalentInfo(2, 19))
		-- Ns.GuardedByLight = points * 3


		Ns.ShieldTemplar = points


		Ns.vengeance = points


		Ns.crusadeTalent = points / 100


		Ns.SwiftRetribution = points

	elseif (classFilename == "WARLOCK") then

		local points = select(5, GetTalentInfo(1, 11))
		Ns.DeathEmbrace = ((points * 4) / 100)

		local points = select(5, GetTalentInfo(3, 3))
		Ns.ImpSoulFire = ((points * 4) / 100)


	elseif (classFilename == "HUNTER") then

		local points = select(5, GetTalentInfo(3, 12))
		Ns.NoEscape = points * 3


	elseif (classFilename == "SHAMAN") then
		local points = 0

		Ns.callofThunder = points * 5



		Ns.elePrecision = points


		Ns.ImprovedWindfury = (points * 2)


		Ns.purification = ((points * 2)/100)


		Ns.tidalMastery = points

	elseif (classFilename == "DRUID") then
		local points = 0

		Ns.CelestialFocus = points


		Ns.balancePower = (points * 2)


		Ns.FaerieImproved = points


		Ns.starlight = (points * 2)


		Ns.ImprovedMoonkin = points


		Ns.predStrikes = points * 0.5



		Ns.ProtectorPack = (points * 4)


		Ns.giftNature = ((points * 2) / 100)


		Ns.earthMother = points * 2

	elseif (classFilename == "DEATHKNIGHT") then
		local points = 0

		Ns.bloodGorged = points * 2

		Ns.tundraStalker = ((points * 3) / 100)


		Ns.impFrostPresence = points


		Ns.rageRivenTalent = ((points * 2) / 100)


		Ns.virulence = points


		Ns.frigidDread = points
	end
end

